# Uses of Class
org.apache.commons.math3.geometry.partitioning.BSPTree

Packages that use BSPTree
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of BSPTree in org.apache.commons.math3.geometry.euclidean.oned

Methods in org.apache.commons.math3.geometry.euclidean.oned with parameters of type BSPTree
Modifier and Type
Method
Description
`IntervalsSet`
IntervalsSet.`buildNew(BSPTree<Euclidean1D> tree)`
Build a region using the instance as a prototype.
Constructors in org.apache.commons.math3.geometry.euclidean.oned with parameters of type BSPTree
Modifier
Constructor
Description
``
`IntervalsSet(BSPTree<Euclidean1D> tree)`
Deprecated.
as of 3.3, replaced with `IntervalsSet(BSPTree, double)`
``
`IntervalsSet(BSPTree<Euclidean1D> tree, double tolerance)`
Build an intervals set from an inside/outside BSP tree.

## Uses of BSPTree in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type BSPTree
Modifier and Type
Method
Description
`PolyhedronsSet`
PolyhedronsSet.`buildNew(BSPTree<Euclidean3D> tree)`
Build a region using the instance as a prototype.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type BSPTree
Modifier
Constructor
Description
``
`PolyhedronsSet(BSPTree<Euclidean3D> tree)`
Deprecated.
as of 3.3, replaced with `PolyhedronsSet(BSPTree, double)`
``
`PolyhedronsSet(BSPTree<Euclidean3D> tree, double tolerance)`
Build a polyhedrons set from a BSP tree.

## Uses of BSPTree in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type BSPTree
Modifier and Type
Method
Description
`PolygonsSet`
PolygonsSet.`buildNew(BSPTree<Euclidean2D> tree)`
Build a region using the instance as a prototype.
Constructors in org.apache.commons.math3.geometry.euclidean.twod with parameters of type BSPTree
Modifier
Constructor
Description
``
`PolygonsSet(BSPTree<Euclidean2D> tree)`
Deprecated.
as of 3.3, replaced with `PolygonsSet(BSPTree, double)`
``
`PolygonsSet(BSPTree<Euclidean2D> tree, double tolerance)`
Build a polygons set from a BSP tree.

## Uses of BSPTree in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return BSPTree
Modifier and Type
Method
Description
`BSPTree<S>`
BSPTree.`copySelf()`
Copy the instance.
`BSPTree<S>`
BSPTree.VanishingCutHandler.`fixNode(BSPTree<S> node)`
Fix a node with both vanished cut and children.
`BSPTree<S>`
BSPTree.`getCell(Point<S> point, double tolerance)`
Get the cell to which a point belongs.
`BSPTree<S>`
BSPTree.`getCell(Vector<S> point)`
Deprecated.
as of 3.3, replaced with `getCell(Point, double)`
`BSPTree<S>`
BSPTree.`getMinus()`
Get the tree on the minus side of the cut hyperplane.
`BSPTree<S>`
BSPTree.`getParent()`
Get the parent node.
`BSPTree<S>`
BSPTree.`getPlus()`
Get the tree on the plus side of the cut hyperplane.
`BSPTree<S>`
AbstractRegion.`getTree(boolean includeBoundaryAttributes)`
Get the underlying BSP tree.
`BSPTree<S>`
Region.`getTree(boolean includeBoundaryAttributes)`
Get the underlying BSP tree.
`BSPTree<S>`
BSPTree.LeafMerger.`merge(BSPTree<S> leaf, BSPTree<S> tree, BSPTree<S> parentTree, boolean isPlusChild, boolean leafFromInstance)`
Merge a leaf node and a tree node.
`BSPTree<S>`
BSPTree.`merge(BSPTree<S> tree, BSPTree.LeafMerger<S> leafMerger)`
Merge a BSP tree with the instance.
`BSPTree<S>`
BSPTree.`pruneAroundConvexCell(Object cellAttribute, Object otherLeafsAttributes, Object internalAttributes)`
Prune a tree around a cell.
`BSPTree<S>`
BSPTree.`split(SubHyperplane<S> sub)`
Split a BSP tree by an external sub-hyperplane.
Methods in org.apache.commons.math3.geometry.partitioning that return types with arguments of type BSPTree
Modifier and Type
Method
Description
`List<BSPTree<S>>`
BSPTree.`getCloseCuts(Point<S> point, double maxOffset)`
Get the cells whose cut sub-hyperplanes are close to the point.
`Iterator<BSPTree<S>>`
NodesSet.`iterator()`
Methods in org.apache.commons.math3.geometry.partitioning with parameters of type BSPTree
Modifier and Type
Method
Description
`void`
NodesSet.`add(BSPTree<S> node)`
Add a node if not already known.
`abstract AbstractRegion<S,T>`
AbstractRegion.`buildNew(BSPTree<S> newTree)`
Build a region using the instance as a prototype.
`Region<S>`
Region.`buildNew(BSPTree<S> newTree)`
Build a region using the instance as a prototype.
`protected Region.Location`
AbstractRegion.`checkPoint(BSPTree<S> node, Point<S> point)`
Check a point with respect to the region starting at a given node.
`protected Region.Location`
AbstractRegion.`checkPoint(BSPTree<S> node, Vector<S> point)`
Check a point with respect to the region starting at a given node.
`BSPTree<S>`
BSPTree.VanishingCutHandler.`fixNode(BSPTree<S> node)`
Fix a node with both vanished cut and children.
`void`
BSPTree.`insertInTree(BSPTree<S> parentTree, boolean isPlusChild)`
Deprecated.
as of 3.4, replaced with `insertInTree(BSPTree, boolean, VanishingCutHandler)`
`void`
BSPTree.`insertInTree(BSPTree<S> parentTree, boolean isPlusChild, BSPTree.VanishingCutHandler<S> vanishingHandler)`
Insert the instance into another tree.
`boolean`
AbstractRegion.`isEmpty(BSPTree<S> node)`
Check if the sub-tree starting at a given node is empty.
`boolean`
Region.`isEmpty(BSPTree<S> node)`
Check if the sub-tree starting at a given node is empty.
`boolean`
AbstractRegion.`isFull(BSPTree<S> node)`
Check if the sub-tree starting at a given node covers the full space.
`boolean`
Region.`isFull(BSPTree<S> node)`
Check if the sub-tree starting at a given node covers the full space.
`BSPTree<S>`
BSPTree.LeafMerger.`merge(BSPTree<S> leaf, BSPTree<S> tree, BSPTree<S> parentTree, boolean isPlusChild, boolean leafFromInstance)`
Merge a leaf node and a tree node.
`BSPTree<S>`
BSPTree.`merge(BSPTree<S> tree, BSPTree.LeafMerger<S> leafMerger)`
Merge a BSP tree with the instance.
`void`
BSPTreeVisitor.`visitInternalNode(BSPTree<S> node)`
Visit a BSP tree node node having a non-null sub-hyperplane.
`void`
BSPTreeVisitor.`visitLeafNode(BSPTree<S> node)`
Visit a leaf BSP tree node node having a null sub-hyperplane.
`BSPTreeVisitor.Order`
BSPTreeVisitor.`visitOrder(BSPTree<S> node)`
Determine the visit order for this node.
Method parameters in org.apache.commons.math3.geometry.partitioning with type arguments of type BSPTree
Modifier and Type
Method
Description
`void`
NodesSet.`addAll(Iterable<BSPTree<S>> iterator)`
Add nodes if they are not already known.
Constructors in org.apache.commons.math3.geometry.partitioning with parameters of type BSPTree
Modifier
Constructor
Description
`protected`
`AbstractRegion(BSPTree<S> tree, double tolerance)`
Build a region from an inside/outside BSP tree.
``
`BSPTree(SubHyperplane<S> cut, BSPTree<S> plus, BSPTree<S> minus, Object attribute)`
Build a BSPTree from its underlying elements.

## Uses of BSPTree in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned with parameters of type BSPTree
Modifier and Type
Method
Description
`ArcsSet`
ArcsSet.`buildNew(BSPTree<Sphere1D> tree)`
Build a region using the instance as a prototype.
Constructors in org.apache.commons.math3.geometry.spherical.oned with parameters of type BSPTree
Modifier
Constructor
Description
``
`ArcsSet(BSPTree<Sphere1D> tree, double tolerance)`
Build an arcs set from an inside/outside BSP tree.

## Uses of BSPTree in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod with parameters of type BSPTree
Modifier and Type
Method
Description
`SphericalPolygonsSet`
SphericalPolygonsSet.`buildNew(BSPTree<Sphere2D> tree)`
Build a region using the instance as a prototype.
Constructors in org.apache.commons.math3.geometry.spherical.twod with parameters of type BSPTree
Modifier
Constructor
Description
``
`SphericalPolygonsSet(BSPTree<Sphere2D> tree, double tolerance)`
Build a polygons set from a BSP tree.